=== debian/changelog ===
opm-simulators (2021.10-4ubuntu1) jammy; urgency=medium

  * Build with reduced parallelism and disable LTO to
    avoid FTBFS in Ubuntu

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 09 Mar 2022 11:47:11 +0000

opm-simulators (2021.10-4) unstable; urgency=medium

  * d/tests: Added Restrictions: skip-not-installable

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Feb 2022 19:15:14 +0530

opm-simulators (2021.10-3) unstable; urgency=medium

  * d/tests: run flow test in $AUTOPKGTEST_TMP
  * d/tests: Added python tests.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Feb 2022 20:28:20 +0530

opm-simulators (2021.10-2) unstable; urgency=medium

  * d/control: Remove g++ from Build-Depends
  * d/control: Build on any architecture.
  * d/control: Added dependency on libboost-date-time-dev to dev pkg.
  * Added autopkgtest for flow binary

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 17 Feb 2022 00:15:46 +0100

opm-simulators (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 23:07:59 +0100
