=== debian/tests/control ===
Tests: run-flow
Depends:
  libopm-simulators-bin
Restrictions: allow-stderr, skip-not-installable

Tests: run-python-tests
Depends:
  python3-all,
  python3-opm-simulators
Restrictions: allow-stderr, skip-not-installable
