=== debian/changelog ===
opm-simulators (2022.04+ds-2build1) kinetic; urgency=medium

  * No-change rebuild against libfmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 06:07:09 +0000

opm-simulators (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:21:41 +0200

opm-simulators (2022.04+ds-1) unstable; urgency=medium

  * New final upstream release 2022.04
  * d/copyright: Updated copyright and file excludes.
  * d/watch: Advertise repackaging in tarball name



 -- Markus Blatt <markus@dr-blatt.de>  Wed, 11 May 2022 23:18:31 +0200

opm-simulators (2022.04~rc1-2) experimental; urgency=medium

  * d/control: Fix OPM version dependency.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 12:12:00 +0200

opm-simulators (2022.04~rc1-1) experimental; urgency=medium

  [ Markus Blatt ]
  * New upstream release candidate 2022.04-rc1
  * d/control: Use debhelper-compat (= 12) to support older Ubuntu versions.
  * d/control: Depend on OPM 2022.04.
  * Dropped patches aleady in upstream
  * d/rules: Use -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON for reproducible builds
  * d/rules: Fix pbuilder run without locally installed opm-common.
  * d/control: added zlib1g-dev to Build-Depends to support older Ubuntu

  [ Graham Inggs ]
  * d/rules: Deactivate lto and build serial to avoid FTBS in Ubuntu.

  [ Markus Blatt ]
  * Allow forcing parallel builds via env variable DEBIAN_FORCE_PARALLEL
  * d/copyright: Remove removed files from list.
  * Spelling fix geomtry -> geometry.
  * d/control: Added recommends for upstream OPM binary and python packages

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 10:06:15 +0200
