## opm-simulators 2022.10~rc1+ds

=== debian/changelog ===
opm-simulators (2022.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10~rc1
  * d/control: Updated OPM dependency to 2022.10~
  * Rediff patches to fix compilation
  * Fixed typo: acess -> access
  * Use SKIP_BUILD_RPATH for python lib of simulators
  * d: updated copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 10:23:08 +0100
