=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: opm-simulators
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
 Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt, dh-python,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                zlib1g-dev, gfortran, pkg-config, git, libtool, doxygen,
                texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               libopm-grid-dev (>= 2022.04), libopm-models-dev (>= 2022.04),  mpi-default-dev, mpi-default-bin,
+               libopm-grid-dev (>= 2022.10~), libopm-models-dev (>= 2022.10~),  mpi-default-dev, mpi-default-bin,
                python3-dev, libpython3-dev, python3-distutils, pybind11-dev
 Standards-Version: 4.6.0
 Section: libs
@@ -20,8 +19,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.04),
-         libopm-models-dev (>= 2022.04), libboost-date-time-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.10~),
+         libopm-models-dev (>= 2022.10~), libboost-date-time-dev
 Replaces: libopm-simulators1-dev
 Suggests: libopm-simulators-doc
 Description: Parallel porous media / reservoir simulators -- development files
