## opm-simulators 2022.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,44 @@
 option(BUILD_FLOW_POLY_GRID "Build flow blackoil with polyhedral grid" OFF)
 option(OPM_ENABLE_PYTHON "Enable python bindings?" OFF)
 option(OPM_ENABLE_PYTHON_TESTS "Enable tests for the python bindings?" ON)
+option(OPM_INSTALL_PYTHON "Install python bindings?" ON)
 option(ENABLE_FPGA "Enable FPGA kernels integration?" OFF)
 option(USE_CHOW_PATEL_ILU "Use the iterative ILU by Chow and Patel?" OFF)
 option(USE_CHOW_PATEL_ILU_GPU "Run iterative ILU decomposition on GPU? Requires USE_CHOW_PATEL_ILU" OFF)
 option(USE_CHOW_PATEL_ILU_GPU_PARALLEL "Try to use more parallelism on the GPU during the iterative ILU decomposition? Requires USE_CHOW_PATEL_ILU_GPU" OFF)
+option(BUILD_FLOW_ALU_GRID "Build flow blackoil with alu grid" OFF)
+option(USE_DAMARIS_LIB "Use the Damaris library for asynchronous I/O?" OFF)
+
+# The following was copied from CMakeLists.txt in opm-common.
+# TODO: factor out the common parts in opm-common and opm-simulator as a cmake module
+if (OPM_ENABLE_PYTHON)
+  # We need to be compatible with older CMake versions
+  # that do not offer FindPython3
+  # e.g. Ubuntu LTS 18.04 uses cmake 3.10
+  if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
+    find_package(PythonInterp REQUIRED)
+    if(PYTHON_VERSION_MAJOR LESS 3)
+      message(SEND_ERROR "OPM requires version 3 of Python but only version ${PYTHON_VERSION_STRING} was found")
+    endif()
+    set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
+    set(Python3_LIBRARIES ${PYTHON_LIBRARIES})
+    set(Python3_VERSION "${PYTHON_VERSION_STRING}")
+    set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
+  else()
+    # Be backwards compatible.
+    if(PYTHON_EXECUTABLE AND NOT Python3_EXECUTABLE)
+      set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
+    endif()
+    find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
+  endif()
+  if(Python3_VERSION_MINOR LESS 3)
+    # Python native namespace packages requires python >= 3.3
+    message(SEND_ERROR "OPM requires python >= 3.3 but only version ${Python3_VERSION} was found")
+  endif()
+  # Compatibility settings for PythonInterp and PythonLibs
+  # used e.g. in FindCwrap, pybind11
+  set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
+endif()
 
 if(SIBLING_SEARCH AND NOT opm-common_DIR)
   # guess the sibling dir
@@ -217,42 +251,3 @@
   if(USE_CHOW_PATEL_ILU)
     add_compile_options(-DCHOW_PATEL=1)
     if(USE_CHOW_PATEL_ILU_GPU)
-      add_compile_options(-DCHOW_PATEL_GPU=1)
-      if(USE_CHOW_PATEL_ILU_GPU_PARALLEL)
-        add_compile_options(-DCHOW_PATEL_GPU_PARALLEL=1)
-      else()
-        add_compile_options(-DCHOW_PATEL_GPU_PARALLEL=0)
-      endif()
-    else()
-      add_compile_options(-DCHOW_PATEL_GPU=0)
-      add_compile_options(-DCHOW_PATEL_GPU_PARALLEL=0)
-    endif()
-  endif()
-else()
-  if(USE_CHOW_PATEL_ILU)
-    message(FATAL_ERROR " CHOW_PATEL_ILU only works for openclSolver, but OpenCL was not found")
-  endif()
-endif()
-
-find_package(amgcl)
-if(amgcl_FOUND)
-  set(HAVE_AMGCL 1)
-  # Linking to target angcl::amgcl drags in OpenMP and -fopenmp as a compile
-  # flag. With that nvcc fails as it does not that flag.
-  # Hence we set AMGCL_INCLUDE_DIRS.
-  get_property(AMGCL_INCLUDE_DIRS TARGET amgcl::amgcl PROPERTY INTERFACE_INCLUDE_DIRECTORIES)
-  include_directories(SYSTEM ${AMGCL_INCLUDE_DIRS})
-endif()
-
-if(OpenCL_FOUND)
-  find_package(VexCL)
-  if(VexCL_FOUND)
-    set(HAVE_VEXCL 1)
-    # generator expressions in vexcl do not seem to work and therefore
-    # we cannot use the imported target. Hence we exract the needed info
-    # from the targets
-    get_property(VEXCL_INCLUDE_DIRS TARGET VexCL::Common PROPERTY INTERFACE_INCLUDE_DIRECTORIES)
-    get_property(VEXCL_LINK_LIBRARIES TARGET VexCL::Common PROPERTY INTERFACE_LINK_LIBRARIES)
-    get_property(VEXCL_COMPILE_DEFINITIONS TARGET VexCL::OpenCL PROPERTY INTERFACE_COMPILE_DEFINITIONS)
-    set(VEXCL_LINK_LIBRARIES "${VEXCL_LINK_LIBRARIES};OpenCL::OpenCL")
-    add_library(OPM::VexCL::OpenCL INTERFACE IMPORTED)
