=== python/simulators/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
-# NOTE: we assume that add_subdirectory( pybind11 ) is called from the
-#    parent folder's CMakeLists.txt before this CMakeLists.txt is loaded.
-#    Therefore, pybind11's CMakeLists.txt has already run
-#    find_package(PYTHON) to define variables like ${PYTHON_EXECUTABLE}
+#  Note: If the new find_package(Python3) is used in the top level CMakeLists.txt, the variable
+#    ${PYTHON_EXECUTABLE} is set there to ${Python3_EXECUTABLE}
 #
 # NOTE: The variable ${PYBIND11_SYSTEM} is set in python/CMakeLists.txt
 #   to the value "SYSTEM" or unset, depending on the current version of Pybind11.
@@ -14,7 +12,8 @@
   PyBlackOilSimulator.cpp
   Pybind11Exporter.cpp)
 
-set_target_properties( simulators PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/python/opm2 )
+set(PYTHON_OPM_SIMULATORS_PACKAGE_PATH ${PROJECT_BINARY_DIR}/python/opm/simulators)
+set_target_properties( simulators PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PYTHON_OPM_SIMULATORS_PACKAGE_PATH} )
 
 target_sources(simulators
   PRIVATE
@@ -38,19 +37,8 @@
 else()
   set(PYTHON_PACKAGE_PATH "site-packages")
 endif()
-set(PYTHON_INSTALL_PREFIX "lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/${PYTHON_PACKAGE_PATH}" CACHE STRING "Subdirectory to install Python modules in")
-
-install(TARGETS simulators DESTINATION ${DEST_PREFIX}${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL_PREFIX}/opm)
-
-file( COPY ${PROJECT_SOURCE_DIR}/python/test
-      DESTINATION ${PROJECT_BINARY_DIR}/python)
-file( COPY ${PROJECT_SOURCE_DIR}/python/test_data
-      DESTINATION ${PROJECT_BINARY_DIR}/python)
 
 if(OPM_ENABLE_PYTHON_TESTS)
-  if(Python3_EXECUTABLE AND NOT PYTHON_EXECUTABLE)
-    set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
-  endif()
   set(PYTHON_PATH ${PROJECT_BINARY_DIR}/python:${opm-common_DIR}/python:$ENV{PYTHONPATH})
   # NOTE: See comment in test_basic.py for the reason why we are
   #   splitting the python tests into multiple add_test() tests instead
@@ -67,3 +55,35 @@
       -E env PYTHONPATH=${PYTHON_PATH} ${PYTHON_EXECUTABLE}
       -m unittest test/test_schedule.py)
 endif()
+
+find_file(PYTHON_INSTALL_PY install.py
+  PATHS ${opm-common_DIR} ${opm-common_PYTHON_COMMON_DIR}
+  PATH_SUFFIXES python NO_DEFAULT_PATH REQUIRED)
+
+# NOTE: instead of using file( COPY ...) which copies the files at configure time (not at build time)
+#  we should add copying of the files at build time such that running "make" or "make all" will
+#  update the files if they have been modified. We use the install.py script in opm-common, see also
+#  CMakeLists.txt in opm-common
+add_custom_target(copy_python ALL
+    COMMAND ${PYTHON_EXECUTABLE} "${PYTHON_INSTALL_PY}"
+        ${PROJECT_SOURCE_DIR}/python/opm ${PROJECT_BINARY_DIR}/python 0
+    COMMAND ${PYTHON_EXECUTABLE} "${PYTHON_INSTALL_PY}"
+        ${PROJECT_SOURCE_DIR}/python/test ${PROJECT_BINARY_DIR}/python 0
+    COMMAND ${PYTHON_EXECUTABLE} "${PYTHON_INSTALL_PY}"
+        ${PROJECT_SOURCE_DIR}/python/test_data ${PROJECT_BINARY_DIR}/python 0
+)
+
+# Since the installation of Python code is nonstandard it is protected by an
+# extra cmake switch, OPM_INSTALL_PYTHON. If you prefer you can still invoke
+# setup.py install manually - optionally with the generated script
+# setup-install.sh - and completely bypass cmake in the installation phase.
+if (OPM_INSTALL_PYTHON)
+  include(PyInstallPrefix)  # from opm-common
+  install(TARGETS simulators DESTINATION ${DEST_PREFIX}${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL_PREFIX}/opm)
+  install(
+    CODE "execute_process(
+      COMMAND ${PYTHON_EXECUTABLE}
+              ${PYTHON_INSTALL_PY}
+              ${PROJECT_BINARY_DIR}/python/opm
+              ${DEST_PREFIX}${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL_PREFIX} 1)")
+endif()
