=== debian/changelog ===
opm-simulators (2022.10+ds-2) unstable; urgency=medium

  * d/rules: Require 4GB of RAM per make process
  * [cmake]  Work around missing imported Alberta targets.
  * d/control: Fixed version string used in binaries.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Mar 2023 13:31:04 +0100

opm-simulators (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump version dependency on OPM modules.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:51:17 +0100

opm-simulators (2022.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 21:11:51 +0100
