=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,12 @@
     include $(OPM_LIB_DEBIAN_MK) # for makeshlibs
 endif
 
-# Set DEBIAN_FORCE_PARALLEL to compile in parallel
-ifeq ($(strip $(DEBIAN_FORCE_PARALLEL)),)
-   DEB_PARALLEL="--max-parallel=1"
-endif
+# require 4GB of RAM per make process
+need_gb_ram_per_process=4
+free_ram=$(shell free -g | sed -n 2p| sed "s/ \+/ /g"| cut -d " " -f 2)
+max_procs=$(shell echo "$(free_ram)/$(need_gb_ram_per_process)" | bc)
+parallel_procs=$(shell if test "$(max_procs)" -lt "1"; then echo 1; else echo "$(max_procs)"; fi)
 
 %:
-	dh $@ --with python3 $(DEB_PARALLEL)
+	echo "ram in gb: $(free_ram), needed ram per thread: $(need_gb_ram_per_process), threads: $(parallel_procs)"
+	dh $@ --with python3 --max-parallel=$(parallel_procs)
